package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class MemberManagementEntry extends CoreBillEntryBase implements IMemberManagementEntry
{
    public MemberManagementEntry()
    {
        super();
        registerInterface(IMemberManagementEntry.class, this);
    }
    public MemberManagementEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IMemberManagementEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("95FA0614");
    }
    private MemberManagementEntryController getController() throws BOSException
    {
        return (MemberManagementEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public MemberManagementEntryInfo getMemberManagementEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public MemberManagementEntryInfo getMemberManagementEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public MemberManagementEntryInfo getMemberManagementEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getMemberManagementEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public MemberManagementEntryCollection getMemberManagementEntryCollection() throws BOSException
    {
        try {
            return getController().getMemberManagementEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public MemberManagementEntryCollection getMemberManagementEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getMemberManagementEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public MemberManagementEntryCollection getMemberManagementEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getMemberManagementEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}